Escrito por Tendenzias

Un error de seguridad o bug afecta al 60 % de los usuarios de Android

Un error de seguridad o «bug»  afecta a 60 % de los usuarios de Android, esto es todos los que tengan versiones anteriores al «Android 4.4 KitKat». Google afirma que no arreglará este fallo ya que solo afecta a usuarios de versiones no actualizadas de Android, —resulta que más del 60% de usuarios de Android tiene versiones anteriores al 4.4—.

En otro artículo de Blogdelgizmo hablamos de los antivirus de Android,  hoy te contamos mas sobre este error de seguridad o vulnerabilidad que afecta a muchos usuarios de teléfonos Android.

ANDROID-BUG_thumb.jpg

¿En qué consiste este error de seguridad o bug?

Lo que provoca es que cualquier aplicación descargada de Google Play pueda utilizar el navegador web nativo. Las aplicaciones usan unos archivos llamados manifest y esta vulnerabilidad puede provocar que se realice una especie de «ataque de denegación del servicio» al propio teléfono. Resultado que incluso puede provocar que se nos reinicie el teléfono como sucede cuando se “cuelga“ un ordenador y se reinicializa.

Error de seguridad o bug que afecta al 60% de usuarios de Android

No es la primera vez que aparecen vulnerabilidades en Android, teniendo en cuenta que es un sistema abierto, pero hablamos de una vulnerabilidad grave, la basada en WebView que afecta a más de la mitad de usuarios del sistema Android. Las versiones mas modernas Android 4.4 y la 5.0 usan Blink en lugar de WebKit para su WebView así que no se ven afectadas por este problema. Pero todas las versiones anteriores como la 3.0, la 4.0 Ice Cream Sandwich, la 4.1 Jally Bean, la 4.2, la 4.3, si están en peligro de verse afectadas por esta vulnerabilidad.

  • Lo lógico sería que una vez informado Google de este error de seguridad desarrollara una solución o parche, pero parece que Google no tiene intención de corregir este error, alegando que sucede en versiones ya anteriores de Android. Segú Tod Beardsley experto en seguridad electrónica, este bug está ya desde hace años y su existencia fue constada a mediados del 2014. Google ha tenido tiempo para subsanarla, teniendo en cuenta que afecta a mas de la mitad de sus clientes que usan dispositivos Android. bug-vulnerabilidad_thumb.jpg

Google tiene dificultades para actualizar su sistema operativo

Google ha comentado sobre este problema:

Si la versión afectada del WebView es anterior a la 4.4 por lo general no desarrollamos los parches nosotros mismos, pero nos ponemos en contacto con nuestros partners o socios Si los parches se proporcionan con el informe o puestos en el l AOSP, estaremos encantados de proporcionarlos.

  • Parece que los desarrolladores de Android después de saber de este problema finalmente incluirian parches en el Android 4.3, aunque parece claro que Google tienen pensado poner fin al WebWiew del la versión 4.3, ya ha llegado a su límite. Los controles WebView usados en la mayoría de los móviles Android, –que se siguen usando en mas del 50% de móviles en todo el mundo– no son compatibles ni seguros.

ANDROID-UPDATE.jpg

  • Al parecer la posición de Google es complicada porque ha creado una plataforma que no tiene poder para actualizar. No hay actualización de Windows para los teléfonos Android y Google no tiene capacidad de llevar a cabo las actualizaciones del sistema operativo. Tiene que depender de una serie de fabricantes de equipos y operadores de redes para adoptar sus cambios en el código fuente y luego que se distribuyan a los usuarios. En cambio Apple o Microsof tienen un canal directo para actualizar sus sistemas operativos móviles.

También te puede interesar

Los mejores gadgets del CES 2015

mejores-gadgets-ces.jpg

Si te ha gustado el artículo puedes hacer click sobre el botón de Facebook, Twitter o de Google+, (justo abajo de la página), me ayudarás a difundir el artículo. Gracias por leer Blogdelgizmo.com☺

Fuente|http://arstechnica.com/

Fotos|http://chr1x.izpwning.me/

http://commons.wikimedia.org

Lo más interesante
Top 6
artículos
Síguenos

¿Qué es lo que piensas?